function n=mkdayno(d,m,yr);
% mkdayno       calculates the number n of the day d,m
%
% formula from:
%
% Jean Meeus
% "Astronomische Berechnungen"
% 2., durchges. Auflage
% Joh. Ambrosius Barth, Leipzig, Berlin, Heidleberg, 1994
%
% call: n=mkdayno(d,m,yr);
%
%       d: day, e.g. the 24 in the date of Xmas
%       m: month, e.g. the 12 in the date of Xmas
%      yr: year
%
% result: a number from 1 to 365 (366 in leap years)
%
% see also MKDATEBYNO
%
% M. Knapmeyer 29.05.1995

k=mkleapyear(yr);

n= fix(275*m/9)-k*fix((m+9)/12)+d-30;
