function yesno=mkisgregory(y,m,d)
% mkisgregory.............is a given date in greogrian or julian calendar?
%
% call: yesno=mkisgregory(y,m,d);
%
%             y: year
%             m: month
%             d: date
%
% result: yesno: 1 if the given date is 15.Oct.1582 or later
%                0 if the given date is before 15.Oct.1582
%
% Due to the invention of the greogorian calendar on 15.Oct.1582 (the
% official day afterr which the old julian calendar was invalid), the
% 15.Oct1582 followed immediately after the 4.Oct.1582. This results in
% problems when calculating the JD (MKJD works correctly).
%
% dates between 04.Oct1582 and 15.Oct.1582 will result in a warning.
%
%
%
% Martin Knapmeyer 24.01.1999


ydiscr=sign(y-1582); % year discriminant
mdiscr=sign(m-10); % month discriminant
switch ydiscr
   case -1,
       yesno=0;
   case 0,
       switch mdiscr
          case -1,
             yesno=0;
          case 0,
             switch d
                case {1,2,3,4},
                     yesno=0;
                case {5,6,7,8,9,10,11,12,13,14},
                     warning(['MKISGREGORY: This day did not exist'...
                             ' (calendar reformation)!']);
                otherwise,
                     yesno=1;
             end; % switch d
          case 1,
             yesno=1;
       end; % switch mdiscr       
   case 1,
       yesno=1;
end; % switch ydiscr
