function [ny,nm,nd]=mknextday(y,m,d);
% mknextday.............compute y,m,d of the after the day given in input
%
% call: [ny,nm,nd]=mknextday(y,m,d);
%
%                  y: a year
%                  m: a month
%                  d: a day
%
% result: ny,nm,nd: year, month and day of the day after y,m,d.
%
% Martin Knapmeyer 16.09.1998

todayno=mkdayno(d,m,y);
ylen=367-mkleapyear(y); % number of days in year y

if todayno==ylen
   % next day is simply 01.01.(y+1)
   ny=y+1;
   nm=1;
   nd=1;
else
   % increase day and month only
   tomorrowno=todayno+1;
   ny=y;
   [nd,nm]=mkdatebyno(tomorrowno,ny);
end; % if todayno
