function [year,doy]=mkymdhms2ydoy(y,mn,d,h,mi,s);
% mkymdhms2ydoy.........compute year and doy with fraction from y m d h m s
%
% call: [year,doy]=mkymdhms2ydoy(y,mn,d,h,mi,s);
%
%                  y: year
%                  mn: month
%                  d: day
%                  h: hour
%                  mi: minute
%                  s: second with decimal fractions
%
%                  input is not tested for plausibility!
%
% result: year: the year, again
%         doy: day of year with decimal fractions expressing hms
%
% Martin Knapmeyer, 03.03.1998


dfrac=(h+(mi+s/60)/60)/24;

doy=mkdayno(d,mn,y)+dfrac;
year=y;
