function lon360=mklslon180to360(lon180);
% mklson180to360.......transform longitudes from -180/180 to 0/360
%
% call: lon360=mklslon180to360(lon180);
%
%       lon180: (numeric) [deg]
%
%               list of longitude values in -180...180 deg range
%
% result: lon360: (numeric) [deg]
%
%                 list of longitudes transformed into 0...360 range
%
% The coordinate conventions for LOCSMITH are that longitudes are measured
% from 0deg to 360deg, positive to the east. Longitudes in the -180/180
% convention can be transformed accordingly using this routine.
%
% Martin Knapmeyer, 15.03.2005


indies=find(lon180<0);
lon360=lon180;
lon360(indies)=lon180(indies)+360;