function lon180=mklslon360to180(lon360);
% mklson360to180.......transform longitudes from 0/360 to -180/180 
%
% call: lon180=mklslon360to180(lon360);
%
%       lon360: (numeric) [deg]
%
%               list of longitude values in 0...360 deg range
%
% result: lon180: (numeric) [deg]
%
%                 list of longitudes transformed into -180...180 range
%
% The coordinate conventions for LOCSMITH are that longitudes are measured
% from 0deg to 360deg, positive to the east. Sometimes it is necessary to
% convert such longitudes into -180 to 180 convention.
%
% Martin Knapmeyer, 17.03.2005


indies=find(lon360>180);
lon180=lon360;
lon180(indies)=lon360(indies)-360;