function fxd=mklsemptyfxd(statcnt);
% mklsemptyfxd.....create empty FXD structure
%
% call: fxd=mklsemptyfxd(statcnt);
%
%           stacnt: (number)
%                   number of stations for which the FXD structure will be
%                   created
%
% result: fxd: (structure array)
%
%               FXD structure array for STATCNT stations, i.e. the fxd
%               array will have STATCNT elements. each of these elements
%               will have the structure described in MMKLSLSD2FXD
%
% Martin knapmeyer, 04.02.2005

%%% empty structure as for one station
simplefxd.id='';
simplefxd.slat=[];
simplefxd.slon=[];
simplefxd.selv=[];
simplefxd.phase='';
simplefxd.event='';
simplefxd.value=[0 NaN NaN NaN]; %NaN NaN NaN NaN];
simplefxd.atcnt=0;
simplefxd.bazcnt=0;
simplefxd.emergcnt=0;
simplefxd.slocnt=0;

%%% create one for many stations
fxd=repmat(simplefxd,1,statcnt);
