function fxdindex=mklsfxdgetstat(fxd,stationid);
% mklsfxdgetstat.......find index of station with given indentifier in FXD
%
% call: fxdindex=mklsfxdgetstat(fxd,stationid);
%
%                fxd: (strcuture array)
%                     FXD structure containing several station descriptions
%          stationid:  (string)
%                     Idenftifier string of a seismic station
%
% result: fxdindex: (number)
%                   index of the station with id STATIONID within the FXD
%                   structure.
%                   If no such station exists, FXDINDEX is empty.
%
% Martin Knapmeyer, 04.02.2005


%%% init result
fxdindex=[];


%%% loop over all stations until the right one is found
fxdlen=length(fxd); % number of stations in FXD
done=0;
cnt=1;
while done==0
    if cnt<=fxdlen
        %%% is this the right one?
        if strcmp(fxd(cnt).id,stationid)==1
            %%% station found!
            fxdindex=cnt;
            done=1;
        else
            cnt=cnt+1;
        end; % if strcmp(fxd(cnt).id,stationid)==1
    else
        %%% nothing found and end of list reached - quit.
        done=1;
    end; % if cnt<=fxdlen
end; % while