function mklsgridcontrolplot(lsopt,mygrid,seisdat);
% mklsgridcontrolplot.......make control plot of grid
%
% call: mklsgridcontrolplto(lsopt,mygrid,seisdat);
%
%           lsopt: (structure)
%                  LOCSMITH options structure as returned by MKLSOPT
%
%           mygrid: (structure)
%                  LOCSMITH search grid as generated by MKLSGRIDNEW
%
%           seisdat: (structure)
%                  LSD structure containing the station locations.
%
% result: none
%
% The routine produces a simple standard plot of the grid to illustrate the
% current status (and latest progress). The plot is made according to the
% settings in LSOPT.
%
% Martin Knapmeyer, 04.07.2003


%%% control plot of initial grid (not recommended for large grids...)
gridplotmode=lsopt.verbosity_plot_mode;
if strcmp(gridplotmode,'none')==0
    figure(lsopt.verbosity_plot_fig);
    cla;
    %%% creates base map
    mkmakemap(lsopt.mapopt);
    %%% overlay grid nodes
    hold on
    mklsgridplot(lsopt,mygrid,gridplotmode); 
    hold off
    %%% overlay stations
    hold on
    mklsnetplot(lsopt,seisdat,gridplotmode);
    hold off
    drawnow;
end; % if strcmp(gridplotmode,'none')==0