function mklsgridexport(lsopt,mygrid,filename);
% mklsgridexport.......export x/y/z coordinates of grid points
%
% call: mklsgridexport(lsopt,mygrid,filename);
%
%              lsopt: (struct)
%                     LOCSMITH options structure as returned by MKLSOPT
%            
%               grid: (struct)
%                     a grid structure as returned by MKLSGRIDNEW.
%                     This grid will be refined according to the settings
%                     in the other parameters.
%
%           filename: (string)
%                     a string specifying a file name
%
%
% result: none
%
% The routine writes a file named FILENAME into the current directory (the
% working directory of MatLab), containing cartesian coordinates of a grid
%
% Martin Knapmeyer, 07.09.2006

%%% verbosity
verbosity=0;

%%% say hello!
mklsverbose(verbosity,lsopt,'MKLSGRIDEXPORT: start grid file export');

%%% dispatch work to grid specific routines
gridtype=lower(mygrid.type);
switch gridtype
    case {'cartesian'}
        mklsnotyet('warn');
    case {'triangular'}
        mklsgridexporttri(lsopt,mygrid,filename);
    otherwise
        error(['MKLSGRIDEXPORT: unknown grid type ' upper(gridtype)]);
end; % switch gridtype

%%% say goodbye!
mklsverbose(verbosity,lsopt,'MKLSGRIDEXPORT: grid file export completed.');