function newgrid=mklsgridextend(lsopt,mygrid,extendedz);
% mklsgridextend........insert new layer in existing search grid
%
% call: newgrid=mklsgridextend(lsopt,mygrid,extendedz);
%
%               lsopt: (structure)
%                      LOCSMITH options structure as returned by MKLSOPT.
%
%               mygrid: (structure)
%                      Existing LOCSMITH search grid as returned by
%                      MKLSGRIDNEW.
%
%             extendedz: (numeric array) [km]
%                      List of new vertical coordinate values (depths for
%                      cartesian grids, radii for triangular grids)
%
% result: newgrid: (structure)
%                  Extended LOCSMITH search grid. This structure is an
%                  extended version of MYGRID, with new layers at the
%                  positions specified by EXTENDEDZ
%
% This routine inserts new layers into an existing grid.
%
% Martin Knapmeyer, 05.07.2005


%%% verbosity
verbosity=2;


%%% dispatch to grid type specific routines
switch mygrid.type
    case {'cartesian'}
         newgrid=mygrid;
         mklsnotyet('warn');
    case {'triangular'}
         newgrid=mklsgridextendtri(lsopt,mygrid,extendedz);
    otherwise
        error(['MKLSGRIDEXTEND: unknown grid type ' upper(mygrid.type)]);
end; % switch