function newgrid=mklsgridextendtri(lsopt,mygrid,extendedz);
% mklsgridextendtri........insert new layer in existing triangular search grid
%
% call: newgrid=mklsgridextendtri(lsopt,mygrid,extendedz);
%
%               lsopt: (structure)
%                      LOCSMITH options structure as returned by MKLSOPT.
%
%               mygrid: (structure)
%                      Existing LOCSMITH search grid as returned by
%                      MKLSGRIDNEW.
%
%             extendedz: (numeric array) [km]
%                      List of new radius values: new layers with these
%                      radii will be created.
%
% result: newgrid: (structure)
%                  Extended LOCSMITH search grid. This structure is an
%                  extended version of MYGRID, with new layers at the
%                  positions specified by EXTENDEDZ
%
% This routine inserts new layers into an existing triangular grid.
%
% Martin Knapmeyer, 05.07.2005


%%% verbosity level
verbose=2;



%%% construct new layers
newgrid=mklsgridnewtri(lsopt,extendedz);


%%% add new layers to old grid
newgrid.layers=[mygrid.layers newgrid.layers];


