function loc=mklsgridextractloc(lsopt,mygrid,level);
% mklsgridextractloc........extract best fitting nodes from grid
%
% call: loc=mklsgridextractloc(lsopt,mygrid);
%       loc=mklsgridextractloc(lsopt,mygrid,level);
%
%               lsopt: (struct)
%                      LOCSMITH options structure as returned by MKLSOPT
%              mygrid: (struct)
%                      LOCSMITH search grid as returned by MKGRIDNEW
%              level:  (number) [counter]
%                      all nodes are extracted that are compatible with
%                      at least LEVEL data.
%                      Default: the maximum level achieved in the grid.
%
%
% result: loc: (strcuture array)
%
%              This sturcture contains those nodes that are compatible with
%              most of the evaluated data. The details of the structure
%              depend on the grid type. See MKLSGRIDEXTRACTLOCTRI and its
%              cartesian counterpart for more info.
%
%
%
% Martin Knapmeyer, 31.05.2005


%%% init result
idlist=[];

%%% understand input
if nargin==2
   level=[];
end; % if nargin


%%% dispatch grid types
switch mygrid.type
    case {'triangular'}
        loc=mklsgridextractloctri(lsopt,mygrid,level);
    case {'cartesian'}
        mklsnotyet('crash');
    otherwise
        error(['MKLSGRIDEXTRACTLOC: unknown grid type ' upper(mygrid.type)]);
end; % switch mygrid.type

