function iter=mklsgridgetmaxitertri(layer);
% mklsgridgetmaxitertri.......get number of iterations applied to a layer
%
% call: iter=mklsgridgetmaxitertri(layer);
%
%            layer: (structure)
%                   LAYER structure as returned by MKLSGRIDNEWTRILAYER
%
% result: iter: (numeric array)
%               number of iterations applied to each triangle in the layer
%               iter(i) is the number of iterations applied to the i-th
%               triangle in the .tri field of LAYER.
%
% Martin Knapmeyer, 27.01.2005


%%% number of triangles in layer
tricnt=length(layer.tri); 


%%% loop over triangles
iter=zeros(1,tricnt);
for indy=1:tricnt
    iter(indy)=layer.tri(indy).iter;
end; % for indy

