function grid=mklsgridnew(lsopt);
% mklsgridnew........generate new grid
%
% call: grid=mklsgridnew(lsopt);
%
%            lsopt: (struct)
%                   LOCSMITH options structure as returned by MKLSOPT.
%
% result: grid: a grid structure, the details of which depend on the
%               settings in LSOPT.
%               For details of the grid structure, see
%               MKGRIDNEWCART for cartesian grids
%               MKGRIDNEWTRI for triangular grids
%               GRID will remain empty in case of problems.
%
% This routine is only a switch that just calls the routine which
% does the actual work.
%
% Martin Knapmeyer, 08.09.2004

%%% verbosity
verbosity=1;

%%% init result
grid=[];

mklsverbose(verbosity,lsopt,...
             'MKLSGRIDNEW: creating ',lsopt.grid_type,' grid.');

%%% switch for grid type
switch lower(lsopt.grid_type)
    case {'cartesian'}
        mklsnotyet('crash');
    case {'triangular'}
        grid=mklsgridnewtri(lsopt);
    otherwise
        error(['MKLSGRIDNEW: unknown grid type ' upper(lsopt.grid_type)]);
end; % switch lower(lsopt.grid_type)
