function handles=mklsgridplot(lsopt,grid,mode);
% mklsgridplot........plot LOCSMITH search grid
%
% call: handles=mklsgridplot(lsopt,grid,mode);
%
%       lsopt: (struct)
%              LOCSMITH options structure as returned by MKLSOPT            
%        grid: (struct)
%              LOCSMITH search grid
%        mode: (string)
%              plot mode
%              This string defineshow to plot the grid. 
%              See MKLSGRIDPLOTTRILAYER for a list of modes for triangular
%              grids.
%
% result: handles: list of handles of all created graphics objects
%                  The type of the created objects depends on the MODE
%
% This routine is only a switch that just calls the routine which
% does the actual work.
%
% martin knapmeyer 10.09.2004

%%% set verbosity
verbosity=2;

%%% say hello
mklsverbose(verbosity,lsopt,'MKLSGRIDPLOT: plotting grid.');

%%% switch for grid type
switch lower(lsopt.grid_type)
    case {'cartesian'}
        mklsnotyet('crash');
    case {'triangular'}
        handles=mklsgridplottri(lsopt,grid,mode);
    otherwise
        error(['MKLSGRIDPLOT: unknown grid type ' upper(lsopt.grid_type)]);
end; % switch lower(lsopt.grid_type)

%%% some beautification
transparency=mklsconstants('Transparency');
alpha(transparency);

axis equal
axis tight