function handles=mklsgridplottri(lsopt,grid,mode);
% mklsgridplottri.......plot triangular LOCSMITH search grid
%
% call: handles=mklsgridplottri(lsopt,grid,mode);
%
%       lsopt: (struct)
%              LOCSMITH options structure as returned by MKLSOPT          
%        grid: (struct)
%              one layer of a triangular LOCSMITH search grid 
%        mode: (string)
%              plot mode
%              This string defines how to plot the grid. For a description,
%              see MKLSGRIDPLOTTRILAYER.
%
% result: handles: list of handles of all created graphics objects
%                  The type of the created objects depends on the MODE
%
% Martin Knapmeyer, 10.09.2004

%%% init result
handles=[];

%%% verbosity
verbosity=4;


%%% loop over all layers and plot them
layeranz=length(grid.layers);
for indy=1:layeranz
    
    if indy>1
        hold on
    end; % if indy>1
    
    mklsverbose(verbosity,lsopt,...
                    'MKLSGRIDPLOTTRI: plotting layer ',indy);
    
    newhandle=mklsgridplottrilayer(lsopt,grid.layers(indy),mode);
    handles=[handles newhandle];
    
    if indy==layeranz
        hold off
    end; % if indy>1
    
end; % for indy




