function handles=mklsgridresplot(lsopt,mygrid,mode,complevel);
% mklsgridresplot.........plot LOCSMITH result
%
% call: handles=mklsgridresplot(lsopt,mygrid,mode);
%       handles=mklsgridresplot(lsopt,mygrid,mode,complevel);
%
%       lsopt: (struct)
%              LOCSMITH options structure as returned by MKLSOPT            
%        grid: (struct)
%              LOCSMITH search grid
%        mode: (string)
%              plot mode
%              This string defineshow to plot the grid. 
%              See MKLSGRIDRESPLOTTRI for a list of modes for triangular
%              grids.
%
%        complevel: (number) [counter]
%                   compatibility level. All nodes with compatibility equal
%                   or larger than this will be plotted.
%                   Enter empty to get only nodes with the (perhaps unknown) max
%                   compatibility.
%                   DEFAULT: empty []
%
% result: handles: list of handles of all created graphics objects
%                  The type of the created objects depends on the MODE
%
% This routine is only a switch that just calls the routine which
% does the actual work.
%
% martin knapmeyer 31.05.2005

%%% set verbosity
verbosity=2;

%%% say hello
mklsverbose(verbosity,lsopt,'MKLSGRIDRESPLOT: plotting result.');

%%% understad input
if nargin==3
    %%% complevel is undefined, so define one!
    complevel=[];
end; % if nargin==3

%%% switch for grid type
switch lower(lsopt.grid_type)
    case {'cartesian'}
        mklsnotyet('crash');
    case {'triangular'}
        handles=mklsgridresplottri(lsopt,mygrid,mode,complevel);
    otherwise
        error(['MKLSGRIDRESPLOT: unknown grid type ' upper(lsopt.grid_type)]);
end; % switch lower(lsopt.grid_type)

%%% some beautification
transparency=mklsconstants('Transparency');
alpha(transparency);

axis equal
axis tight
