function newidlist=mklsgriduniqidlisttri(idlist);
% mklsgriduniqidlisttri........make idlist entries unique (triangular grids only)
%
% call: newidlist=mklsgriduniqidlisttri(idlist);
%
%       idlist: (structure array)
%               an idlist-strucutre as needed by MKLSGRIDMODIFY
%
%                     The following fields are  expected:
%                     .layer: (numeric)
%                             layer ID, only one per element of IDLIST.
%                     .triangle: (numeric array)
%                                list of triangle IDs
%
%                     idlist(i).layer defines a layer in which
%                     modifications on triangles shall be made. Then
%                     idlist(i).triangle is a list of triangle IDs that
%                     defines which triangles of the speicifed layer are to
%                     be modified.
%                     If n layers are to be modified, IDLIST must consist
%                     of n elements, each having its own .layer and
%                     .triangle fields.
%
%
% result: newidlist: (structure array)
%                    a modified version of IDLIST, in which all ambiguities
%                    from multiply listed items are removed.
%                    Multiple references to the same layer have been
%                    concatenated into a single element. Multiple
%                    references to the same triangle ID have been removed.
%
% Martin Knapmeyer, 24.02.2005