function [tokcnt,tokenlist]=mklssplitline(line);
% mklssplitline.......split text line into tokens used in .lsd files
%
% call: [tokcnt,tokenlist]=mklssplitline(line);
%
%       line: string containing a line from a .lsd file
%
% result: tokcnt: number of tokens found
%         tokenlist: strin matrix, containing on token from LINE per row
%
% A token is defined as a sequence of non-whitespace characters, where
% whitespace are ASCII characters 9 and 32.
%
% Martin Knapmeyer, 01.09.2003

%%% init result
tokenlist=[];

%%% split line
done=0;
while done==0
    [tok,rem]=strtok(line);
    if ~isempty(tok)
       %%% add token to tokenlist
       tokenlist=strvcat(tokenlist,tok);
       line=rem;
    else
       %%% no more tokens
       done=1;
    end; % if ~isempty
end; % while done

tokcnt=size(tokenlist,1);

%disp(['MKLSSPLITLINE: ' int2str(tokcnt) ' tokens found.']);


return;