function newline=mklsstripcomments(oldline)
% mklsstripcomments.......strip off .lsd file comments from line
%
% call: newline=mklsstripcomments(oldline)
%
%       oldline: string containing a line from a .lsd file
%
% result: newline: the same als OLDLINE but all comments stripped off.
%
% comments begin with '#', '//', or '/*' and end at the end of the line.
%
% Martin Knapmeyer, 01.09.2003

%%% find all comment start sequences
indies=[findstr(oldline,'#') findstr(oldline,'//') findstr(oldline,'/*')];

%%% remove all comments
if ~isempty(indies)
   %%% a comment exists
   indies=sort(indies);
   commentstart=indies(1);
   newline=oldline(1:(commentstart-1));
else
   %%% no comment exists
   newline=oldline;
end; % if ~isempty

return;