function line=mklsstrmat2line(strmat);
% mklsstrmat2line.......concatenates all lines of a string matrix into a single line
%
% call: line=mklsstrmat2line(strmat);
%
%       strmat: string matrix as generated by strvcat()
%
% result: line: a single-line string in which all rows of STRMAT are concatenated
%
% Rows of STRMAT are deblanked and then separated by a single ASCII 32 character.
%
% Martin Knapmeyer 03.09.2003

%%% init result
line=[];

%%% how many lines?
linecnt=size(strmat,1);

%%% loop over all lines
if linecnt==0
   error('MKLSSTRMAT2LINE: parameters illegally empty! (allowed only for !end modifier)');
else
   for indy=1:linecnt
       if indy==1
          line=[deblank(strmat(indy,:))];
       else
          line=[line char(32) deblank(strmat(indy,:))];
       end; % if indy==1
   end; % for indy
end; % if linecnt

return;