function line=mklsvector2line(keyword,modifier,vector);
% mklsvector2str.......transforms a coerfficient vector into a output line for lsd format
%
% call: line=mklsvector2line(keyword,modifier,vector);
%
%            keyword: lsd format keyword string
%            modifier: lsd format modifier string
%            vector: a 1D vector of numbers
%
% result: line: a string which can directly be written to the file
%                This string contains keyword, modifier, and data
%               or is empty if data is NaN.
%
% Martin Knapmeyer, 03.09.2003

%%% init output
line=[];

%%% add modifier
line=[line '!' keyword ' !' modifier ' '];

%%% format vector
indies=find(isnan(vector));
switch length(indies)
   case {0,1}
      anz=length(vector);
      for indy=1:anz
          if isnan(vector(indy))
             line=[line ' NaN  '];
          else
             line=[line sprintf('%1.15f ',vector(indy))];
          end; % if isnan(vector(indy))
      end; % for indy
   case {3}
      line='';
   otherwise
      error(['MKLSVECTOR2LINE: illegal number of NaNs for ' keyword '/' modifier]);
end; % stwich length(indies)