function yesno=mklsexistfield(str,fname);
% mklsexistfield.......test whether a specific field exists in a given struct
%
% call: yesno=mklsexistfield(str,fname);
%
%       str: a structure variable
%       fname: string containing the name of the field the existence of which
%              should be checked
%
% result: yesno: 1 if field exists in STR
%                0 if not
%
% given a structure like this
%
% person.firstname='john';
% person.name='doe';
%
% calling mklsexistfield(person,'age') will result in 0, whereas
% calling mklsexistfield(person,'name') will result in 1.
%
% Martin Knapmeyer, 28.11.2002, 23.06.2005

%%% init result
yesno=0;

%%% get names of all existing fields
allnames=fieldnames(str);

%%% number of fields in STR
anz=size(allnames,1);

if anz==0
    %%% struct is empty and does not contain any fields
    yesno=0;
else
    %%% compare name list to FNAME
    indy=1;
    done=0;
    while done==0
       if strcmp(allnames{indy},fname)
          yesno=1;
          done=1;
       else
          if indy<anz
             indy=indy+1;
          else
             done=1;
          end; % if indy
       end; % if strcmp
    end; % while done
end; % if anz==0