function mklsnotyet(style);
% mklsnotyet.......produce 'not yet available' message
%
% call: mklsnotyet(style);
%
%       style: style of message display:
%              'disp': message is written using disp(), thus not
%                      interrupting the program, but also not allowing the debugger
%                      to analyze what happened.
%              'warn': the messsage is issued as warning, what would
%                      interrupt the program only if warning breakpoints are set
%              'crash': the message is issued as error, what would
%                       interrupt the programin any case.
%              DEFAULT: 'warn'
%
% result: none;
%
% This routine just informs the user that he asked for a routine that
% is planned, but not yet written. This is done by issuing an error.
%
% Martin Knapmeyer, 08.09.2004


msg='MKLSNOTYET: you have requested a not yet implemented feature!';


%%% understand input
if nargin==0
    style='warn';
end; % if nargin


style=lower(style);
switch style
    case {'disp'}
        disp(msg);
    case {'warn'}
        warning(msg);
    case {'crash'}
        error(msg);
    otherwise
        error(['MKLSNOTYET: unknown message style ' upper(style)]);
end; % switch



