function [vtype,vdate]=mkmapversion;
% mkeviversion.......return mkmapbox version information
%
% call: mkmapversion;
%       [vtype,vdate]=mkmapversion;
%
% result: vtype: string denoting the version type
%                possible values:
%                'liquefied'
%                'frozen'
%         vdate: string containing the liquefaction/freeze date
%                in ddmmyyy format
%
% mkmapbox version handling is somewhat unusual> I didn't want to indtroduce
% a version numbering, because most of the time, I am introducing changes...
% There are two possible types of versions:
% - liquefied versions: versions on which I am currently working. There is
%             no guarantee that anything is complete.
% - frozen versions: development has been frozen in order to distribute the
%             package.
%
% Usually, you should never have a liquefied version.
% Frozen Versions are those you can refer to with my name and a date, and this
% will allow a unique identification.
% Liquefied versions are dated to the day on which the first change to a frozen
% version has been made.
%
% If no output argument is present, MKMAPVERSION writes VTYPE and VDATE to the
% screen.
%
% Martin Knapmeyer, 01.07.2003

% define output
vtype='liquefied';
vdate='01072003';

% analyze output mode
switch nargout
   case {0,1}
       disp(['MKMAPVERSION: This is MKMAPBOX version: ' upper(vtype) ' ' upper(vdate)]);
   otherwise
       % result variables are already defined.
end; % swtich nargout