function ttsupport=mklsemptyttsupport(lsopt);
% mklsemptysupport......create empty TTSUPPORT structure
%
% call: ttsupport=mklsemptyttsupport(lsopt);
%
%       lsopt: (structure)
%              LOCSMITH options structure as returned by MKLSOPT
%
% result: ttsupport: (structure)
%                    unspecific ttsupport structure
%                    unspecific means that no travel time package specific
%                    fields are contained. The traveltime software or the
%                    LOCSMITH interface to that software has to make sure
%                    that necessary fields are added.
%                    The empty sturcture contains the following fields:
%              
%                    .package: (string)
%                              string denoting for which travel time
%                              software this sutructure will be used. This
%                              is copied from the lsopt.tt_package field.
%
% Martin knapmeyer, 23.06.2005


ttsupport=struct('package',lsopt.tt_package);